Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.template
Interface ParserConstants

All Known Implementing Classes:
  Parser, ParserTokenManager

    public interface ParserConstants

Field Summary
`static int` | `A_EQ`
`static int` | `A_NAME`
`static int` | `ALPHA`
`static int` | `ALPHANUM`
`static int` | `ATTLIST`
`static int` | `ATTRVAL`
`static int` | `CDATA`
`static int` | `DEFAULT`
`static int` | `ELEMENTC`
`static int` | `END_IMAGE`
`static int` | `END_VALUEOF`
`static int` | `EOF`
`static int` | `NUM`
`static int` | `START_IMAGE`
`static int` | `START_VALUEOF`
`static int` | `TAGC`
`static int` | `TEXT`
`static java.lang.String[]` | `tokenImage`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### START_VALUEOF

    static final int START_VALUEOF

See Also:
  Constant Field Values

### END_VALUEOF

    static final int END_VALUEOF

See Also:
  Constant Field Values

### START_IMAGE

    static final int START_IMAGE

See Also:
  Constant Field Values

### END_IMAGE

    static final int END_IMAGE

See Also:
  Constant Field Values

### TEXT

    static final int TEXT

See Also:
  Constant Field Values

### TAGC

    static final int TAGC

See Also:
  Constant Field Values

### ELEMENTC

    static final int ELEMENTC

See Also:
  Constant Field Values

### A_EQ

    static final int A_EQ

See Also:
  Constant Field Values

### ALPHA

    static final int ALPHA

See Also:
  Constant Field Values

### NUM

    static final int NUM

See Also:
  Constant Field Values

### ALPHANUM

    static final int ALPHANUM

See Also:
  Constant Field Values

### A_NAME

    static final int A_NAME

See Also:
  Constant Field Values

### CDATA

    static final int CDATA

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### ATTLIST

    static final int ATTLIST

See Also:
  Constant Field Values

### ATTRVAL

    static final int ATTRVAL

See Also:
  Constant Field Values

### tokenImage

    static final java.lang.String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.